Name: firewall-config
Summary: A configuration tool for IP firewalls and masquerading.
Version: 0.95
Release: 4
Group: Applications/System
URL: http://www.redhat.de/
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
BuildPrereq: qt-devel >= 2.1 
Requires: qt >= 2.1 ipchains usermode htmlview
Source: firewall-config-%{version}.tar.bz2
Source10: firewall-config-ja.po
Source20: firewall-config.desktop
Patch10: firewall-config-nls.patch
Obsoletes: firewall-config-qt

%description
A tool for configuring firewall rules and IP masquerading.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n firewall-config-%{version}
%patch10 -p1 -b .nls
%{__cp} %SOURCE10 po/ja.po
make -f Makefile.cvs

%build
unset QTDIR || : ; source /etc/profile.d/qt.sh

%{configure} --enable-qtonly --with-docdir=%{_docdir}
make

%install
export QTDIR=/usr/lib/qt-2.1.1
export MOC=/usr/lib/qt-2.1.1/bin/moc
%{makeinstall} 
%find_lang %{name}

%{__mkdir_p} $RPM_BUILD_ROOT/%{_sbindir}
%{__mv} $RPM_BUILD_ROOT%{_bindir}/firewall-config $RPM_BUILD_ROOT%{_sbindir}/firewall-config
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/firewall-config

%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
cat > $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/firewall-config <<EOF
#%PAM-1.0
auth       sufficient   /lib/security/pam_rootok.so
auth       required     /lib/security/pam_stack.so service=system-auth
session    optional     /lib/security/pam_xauth.so
account    required     /lib/security/pam_permit.so
EOF

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps
cat > $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/firewall-config <<EOF
USER=root
FALLBACK=true
PROGRAM=%{_sbindir}/firewall-config
SESSION=true
EOF

%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/System
%{__install} -m 644 %SOURCE20 $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/System

## cat > $RPM_BUILD_ROOT/%{_sysconfdir}/X11/applnk/System/firewall-config.desktop <<EOF
## [Desktop Entry]
## Name=firewall-config
## Comment=A configuration tool for IP firewalls and masquerading.
## Exec=firewall-config
## Icon=firewall.xpm
## MiniIcon=mini-firewall.xpm
## Terminal=0
## Type=Application
## EOF

%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
touch $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/firewall


%clean
rm -rf $RPM_BUILD_ROOT 


%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc firewall/docs/en/*.html
%config(noreplace) %{_sysconfdir}/sysconfig/firewall
%config(noreplace) %{_sysconfdir}/pam.d/firewall-config
%config(noreplace) %{_sysconfdir}/security/console.apps/firewall-config
%{_bindir}/firewall-config
%{_sbindir}/firewall-config
%attr(0755,root,root) %{_libdir}/firewall-config/fw2ipchains
%{_sysconfdir}/X11/applnk/System/firewall-config.desktop
%{_datadir}/icons/firewall.xpm
%{_datadir}/icons/mini/mini-firewall.xpm
%{_datadir}/toolbar/up.xpm
%{_datadir}/toolbar/down.xpm
## %lang(de) %{_datadir}/locale/de/LC_MESSAGES/firewall-config.mo
## %lang(ja) %{_datadir}/locale/ja/LC_MESSAGES/firewall-config.mo

%changelog
* Tue Jul 31 2001 SATO Satoru <ssato@redhat.com> - 0.95-4
- fix the nls part
- add ja.po
- add m17n-ed .desktop file

* Fri Apr 27 2001 Bill Nottingham <notting@redhat.com>
- rebuild for C++ exception handling on ia64

* Wed Feb 28 2001 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Tue Feb 06 2001 Harald Hoyer <harald@redhat.com>
- added more i18n
- made enable-qtonly the default

* Mon Dec 11 2000 Harald Hoyer <harald@redhat.com>
- integrated rhclib, rhcfile functions

* Fri Dec 08 2000 Than Ngo <than@redhat.com>
- remove exclude ia64, we have qt-2.2.2 now

* Wed Nov 15 2000 Harald Hoyer <harald@redhat.com>
- excluded IA64

* Thu Oct 20 2000 Harald Hoyer <harald@redhat.com>
- fixed some bugs

* Wed Oct 18 2000 Than Ngo <than@redhat.com>
- rebuilt against gcc-2.96-60

* Wed Sep 20 2000 Harald Hoyer <harald@redhat.com>
- switched from kdehelp to htmlview

* Thu Sep 14 2000 Harald Hoyer <harald@redhat.com>
- fixed docdir

* Sun Jul 30 2000 Harald Hoyer <harald@redhat.com>
- allow input of SRC and DST IP adresses without the /32 extension

* Sun Jul 16 2000 Harald Hoyer <harald@redhat.com>
- firewall-config -> ipchains syntax added
- fixed conffile attr

* Fri Jul 14 2000 Than Ngo <than@redhat.de>
- /etc/rc.d/init.d -> /etc/init.d
- rebuilt with g++-2.96 again
- fix initscript

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Than Ngo <than@redhat.de>
- Rebuild with egcs++

* Fri Jun  27 2000 Harald Hoyer <harald@redhat.com>
- fixed some initscript issues

* Fri Jun  23 2000 Harald Hoyer <harald@redhat.com>
- fixed some spec file issues
- fixed rhclib related changes

* Tue Jun  06 2000 Harald Hoyer <harald@redhat.com>
- fixed spec file

* Tue Feb  29 2000 Harald Hoyer <harald@redhat.com>
- added "!" actions to fwup
- fixed "!" parsing for ports

* Mon Feb  28 2000 Harald Hoyer <harald@redhat.com>
- removed some qt stuff thats not in the redhat-qt lib

* Sat Feb  18 2000 Harald Hoyer <harald@redhat.com>
- added consolehelper stuff

* Sat Feb  17 2000 Harald Hoyer <harald@redhat.com>
- switched to qt only version

* Sat Feb  14 2000 Harald Hoyer <harald@redhat.com>
- added icons
- added startup script

* Sat Feb  13 2000 Harald Hoyer <harald@redhat.com>
- some cleanups
- changed firewall.desktop
- build package with the complete new design
- unlink("kill plan of bero")

* Sat Feb  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- add the missing desktop file
- start making definite plans to kill the maintainer of this package ;)

* Sat Feb  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- it's /usr/bin/kcmshell, not /usr/lib/kde2/bin

* Sat Feb  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with fixed rhclib

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix descriptions, group and summary

* Tue Jan 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- current snapshot
- rebuild with current qt/kde2libs

* Mon Jan 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM, broken.
